Subject: Re: PGP 6.5

From: "William H. Geiger III" <[email-masked]>
Date: Tue, 18 May 1999 11:21:52 -0400

In <[email-masked]>, on 05/14/99 
   at 10:03 AM, Hironobu Suzuki <[email-masked]> said:

>> If you send me a copy of the key I can analyze it for you.

>Thanks. I'll send you it.

Hi,

I have done a partial analysis of the key. It should be noted that this is
not a key generated by PGP 6.5.x but it has been processed by it. The key
in question was generated & signed 1996-08-01, and it is a RSA public key.
The error is in the self signature which has a signature algorithm of '00'
which is an undefined and illegal value for a public key algorithm. Some
of the other signature items look questionable. I am not sure why a bad
signature would cause the servers to crash, it should not (I am not even
sure why a signature would affect the server at all).

I did a search on the Public Key Servers and could not find this key
(keyID 0x12D6870D) on any of them (or for that matter any PGP key for
<[email-masked]>). I did find a copy of this key on the NAI's
LDAP server. 

As a side note:

There seems to be a problem with the LDAP search engine. A search of the
server by userID parameter of: [email-masked] does not find the
above key. A search by exact keyID does find the key.

A second side note:

I have my doubts about Thawte. I could not find their PGP key anywhere on
their site. In addition to this their SSL cert for their webpages expired
in '96 !!! This does not lend confidence to a CA, IMNSHO.

-- 

Analysis of the key follows:

 Public Key Block:
 =================

 99          -- 1 0 0110 01 : Old format, Public Key, Next 2 octets Length
 00 8F       -- Length 143 octets
 03          -- Version 3
 31 FF F3 80 -- Creation Date: 1 Aug 1996
 00 00       -- Expiration Date: Never
 01          -- Public Key Algorithm: RSA
 04 -> 0D    -- MPI #1 Public Modulus n
 04 00       -- MPI #1 Length 130 octets (128 + 2 length octets)
 00 -> 01    -- MPI #2 Exponent e 
 00 11       -- MPI #2 Length 5 octets (3 + 2 length octets)

 64 Bit KeyID:  C2 B5 66 22 12 D6 87 0D
 32 Bit KeyID:  12 D6 87 0D

 Raw Data Block:

 99 00 8F 03 31 FF F3 80 00 00 01 04 00 D3 A4 50
 6E C8 FF 56 6B E6 CF 5D B6 EA 0C 68 75 47 A2 AA
 C2 DA 84 25 FC A8 F4 47 51 DA 85 B5 20 74 94 86
 1E 0F 75 C9 E9 08 61 F5 06 6D 30 6E 15 19 02 E9
 52 C0 62 DB 4D 99 9E E2 6A 0C 44 38 CD FE BE E3
 64 09 70 C5 FE B1 6B 29 B6 2F 49 C8 3B D4 27 04
 25 10 97 2F E7 90 6D C0 28 42 99 D7 4C 43 DE C3
 F5 21 6D 54 9F 5D C3 58 E1 C0 E4 D9 5B B0 B8 DC
 B4 7B DF 36 3A C2 B5 66 22 12 D6 87 0D 00 11 01
 00 01 

 UserID Block:
 =============

 B4       -- 1 0 1101 00 : Old format, UserID Key, Next octet length
 2A       -- Length 42 octets
 54 -> 3E -- UserID
 
 UserID: Thawte Server CA <[email-masked]> 

 Raw Data:

 B4 2A 54 68 61-77 74 65-20 53 65 72 76 65
 72 20 43 41 20 3C 73 65-72 76 65 72 2D 63 65 72
 74 73 40 74 68 61 77 74-65 2E 63 6F 6D 3E 

 Signature Block:
 ================

 89        -- 1 0 0010 01 : Old format, Signature, Next 2 octets length
 03 3A     -- Length 826 octets
 04        -- Version 4 signature
 10        -- Signature on PubKey & UserID
 00        -- Public Key Algorithm 0 <=== ERROR!!!
 01        -- MD5 Hash
 03 2D     -- Hashed SubPacket Length 813 octets
 05 -> 47  -- Hashed SubPacket Data
 00 00     -- Unhashed SubPacket Length 0 octets
 00 00     -- Left 16 bits signed hash value
 00 01     -- MPI #1 length 3 octets (1 + 2 length octets)
 01        -- MPI #1 RSA signature value m**d

 Hashed SubPacket Data:

 05           -- Length 5 octets
 02           -- Type: Creation Date
 31 FF F3 80  -- 1 Aug 1996
 
 05           -- Length 5 octets
 03           -- Type: Expiration Date
 2D EE 72 7F  --

 03           -- Length 3
 05           -- Type: Trust Signature
 FF 78        -- Trust Level 255, Trust Amount 120 (complete)

 C2 5B        -- Length 795
 64           -- Type: Unknown [100] Internal Use

 Raw Data:

 89 03
 3A 04 10 00 01 03 2D 05-02 31 FF F3 80 05 03 2D
 EE 72 7F 03 05 FF 78 C2-5B 64 01 01 03 30 82 03
 13 30 82 02 7C A0 03 02-01 02 02 01 01 30 0D 06
 09 2A 86 48 86 F7 0D 01-01 04 05 00 30 81 C4 31
 0B 30 09 06 03 55 04 06-13 02 5A 41 31 15 30 13
 06 03 55 04 08 13 0C 57-65 73 74 65 72 6E 20 43
 61 70 65 31 12 30 10 06-03 55 04 07 13 09 43 61
 70 65 20 54 6F 77 6E 31-1D 30 1B 06 03 55 04 0A
 13 14 54 68 61 77 74 65-20 43 6F 6E 73 75 6C 74
 69 6E 67 20 63 63 31 28-30 26 06 03 55 04 0B 13
 1F 43 65 72 74 69 66 69-63 61 74 69 6F 6E 20 53
 65 72 76 69 63 65 73 20-44 69 76 69 73 69 6F 6E
 31 19 30 17 06 03 55 04-03 13 10 54 68 61 77 74
 65 20 53 65 72 76 65 72-20 43 41 31 26 30 24 06
 09 2A 86 48 86 F7 0D 01-09 01 16 17 73 65 72 76
 65 72 2D 63 65 72 74 73-40 74 68 61 77 74 65 2E
 63 6F 6D 30 1E 17 0D 39-36 30 38 30 31 30 30 30
 30 30 30 5A 17 0D 32 30-31 32 33 31 32 33 35 39
 35 39 5A 30 81 C4 31 0B-30 09 06 03 55 04 06 13
 02 5A 41 31 15 30 13 06-03 55 04 08 13 0C 57 65
 73 74 65 72 6E 20 43 61-70 65 31 12 30 10 06 03
 55 04 07 13 09 43 61 70-65 20 54 6F 77 6E 31 1D
 30 1B 06 03 55 04 0A 13-14 54 68 61 77 74 65 20
 43 6F 6E 73 75 6C 74 69-6E 67 20 63 63 31 28 30
 26 06 03 55 04 0B 13 1F-43 65 72 74 69 66 69 63
 61 74 69 6F 6E 20 53 65-72 76 69 63 65 73 20 44
 69 76 69 73 69 6F 6E 31-19 30 17 06 03 55 04 03
 13 10 54 68 61 77 74 65-20 53 65 72 76 65 72 20
 43 41 31 26 30 24 06 09-2A 86 48 86 F7 0D 01 09
 01 16 17 73 65 72 76 65-72 2D 63 65 72 74 73 40
 74 68 61 77 74 65 2E 63-6F 6D 30 81 9F 30 0D 06
 09 2A 86 48 86 F7 0D 01-01 01 05 00 03 81 8D 00
 30 81 89 02 81 81 00 D3-A4 50 6E C8 FF 56 6B E6
 CF 5D B6 EA 0C 68 75 47-A2 AA C2 DA 84 25 FC A8
 F4 47 51 DA 85 B5 20 74-94 86 1E 0F 75 C9 E9 08
 61 F5 06 6D 30 6E 15 19-02 E9 52 C0 62 DB 4D 99
 9E E2 6A 0C 44 38 CD FE-BE E3 64 09 70 C5 FE B1
 6B 29 B6 2F 49 C8 3B D4-27 04 25 10 97 2F E7 90
 6D C0 28 42 99 D7 4C 43-DE C3 F5 21 6D 54 9F 5D
 C3 58 E1 C0 E4 D9 5B B0-B8 DC B4 7B DF 36 3A C2
 B5 66 22 12 D6 87 0D 02-03 01 00 01 A3 13 30 11
 30 0F 06 03 55 1D 13 01-01 FF 04 05 30 03 01 01
 FF 30 0D 06 09 2A 86 48-86 F7 0D 01 01 04 05 00
 03 81 81 00 07 FA 4C 69-5C FB 95 CC 46 EE 85 83
 4D 21 30 8E CA D9 A8 6F-49 1A E6 DA 51 E3 60 70
 6C 84 61 11 A1 1A C8 48-3E 59 43 7D 4F 95 3D A1
 8B B7 0B 62 98 7A 75 8A-DD 88 4E 4E 9E 40 DB A8
 CC 32 74 B9 6F 0D C6 E3-B3 44 0B D9 8A 6F 9A 29
 9B 99 18 28 3B D1 E3 40-28 9A 5A 3C D5 B5 E7 20
 1B 8B CA A4 AB 8D E9 51-D9 E2 4C 2C 59 A9 DA B9
 B2 75 1B F6 42 F2 EF C7-F2 18 F9 89 BC A3 FF 8A
 23 2E 70 47 00 00 00 00-00 01 01

-- 
---------------------------------------------------------------
William H. Geiger III  http://www.openpgp.net
Geiger Consulting    Cooking With Warp 4.0

Author of E-Secure - PGP Front End for MR/2 Ice
PGP & MR/2 the only way for secure e-mail.
OS/2 PGP 5.0 at: http://www.openpgp.net/pgp.html
Talk About PGP on IRC EFNet Channel: #pgp Nick: whgiii

Hi Jeff!! :)
---------------------------------------------------------------